from shell_Context import *
from llm import *

# Greet the user upon start
@llm_by_value
def shell_start(
  c: shell_Context
) -> shell_Context:
  c.output = "Shell.StartText"
  c.recentField = "output"
  return c
#}

# Switch among CLI functions based on input
#
# Conditions:
# 1. User requested to quit the game
# 2. User plays the game
@llm_by_value
def shell_processInput(
  c: shell_Context
) -> shell_Context:
  if (
    c.input == "e" or
    c.input == "exit" or
    c.input == "q" or
    c.input == "quit"
  ):
    c.exit = True
    c.recentField = "exit"
    return c

  c.output = "TODO Call all CLI functions, let them process game input"
  c.recentField = "output"
  return c
#}
